#include <HX711.h>                                  // Подключаем библиотеку HX711 для работы с АЦП hx711

HX711 scale(A1, A0);                                // Указываем в какие пины подключен АЦП hx711 (DT(DOUT)  - pin A1, SCK - pin A0)

float OldScale, NewScale, Alpha, NewMin, NewMax, OldMin, OldMax;                                      // Инициализируем переменную в которой будем хранить текущий вес

void setup() {
  Serial.begin(9600);                               // Инициализируем монитор порта, как устройство вывода
  Serial.println("Calibration...");                 // Выводим надпись
  scale.set_scale(469.58);                          // Устанавливаем калибровочный коэффициент 
  scale.tare();                                     // Сбрасываем весы на 0
}

void loop() {
    scale.power_up();                               // Отключаем энергосберегающий режим hx711
    NewScale = scale.get_units();                   // Запоминаем текущий вес
    Serial.print(" OldScale ");
    Serial.print(OldScale);
    Alpha = 0.9;                    //!!! изменяя значение можно добится более плавного результата или скорость выравнивания графика!!!!
    OldScale = Alpha * OldScale + (1-Alpha) * NewScale;
    if (NewMax<NewScale) NewMax=NewScale;
    if (NewMin>NewScale) NewMin=NewScale;
    if (OldMax<OldScale) OldMax=OldScale;
    if (OldMin>OldScale) OldMin=OldScale;
    Serial.print(" NewScale ");
    Serial.print(NewScale);
    Serial.print(" NewMin ");
    Serial.print(NewMin);
    Serial.print(" NewMax ");
    Serial.print(NewMax);
    Serial.print(" OldMinin ");
    Serial.print(OldMin);
    Serial.print(" OldMax ");
    Serial.println(OldMax);
  scale.power_down();                               // Включаем энергосберегающий режим hx711
  delay(10);                                        // Пауза на половину сек.
}
